<?php
/*
Plugin Name: File Upload Support For Contributors
Plugin URI: http://digitizor.com/
Description: Adds File Upload Support for Contributor users on a Wordpress blog
Version: 1.0
Author: Digitizor Media And Web
Author URI: http://digitizormedia.com
License: GPL2
*/
?>
<?php
/*  Copyright 2013  Digitizor Media And Web  (email : debjit@digitizor.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
?>
<?php
//add file upload support for for contributors
function add_contri_upload_files() {
	$role = get_role( 'contributor' ); //gets the contributor role
	$role->add_cap( 'upload_files' ); //would allow the contributor to upload files
}
//remove file upload support for for contributors
function remove_contri_upload_files(){
	global $wp_roles;
	$wp_roles->remove_cap( 'contributor', 'upload_files' ); //removes upload files support for contributors
}
register_deactivation_hook( __FILE__, 'remove_contri_upload_files' );
register_activation_hook( __FILE__, 'add_contri_upload_files' );
?>